# If you want to specify some local properties that will be used by
# Ant tasks, copy this file into 'build.properties' and edit it as you
# need.
#
# $Id: build.properties.template,v 1.1.1.1 2005/06/15 09:00:00 marsenger Exp $
# --------------------------------------------------------------------

# --------------------------------------------------------------------
# Property 'build.compiler' defines a compiler to use to build all
# classes. By default it uses normal Java compiler 'javac'.

#build.compiler = jikes

# --------------------------------------------------------------------
# Full path to your Tomcat installation.

#catalina.home  = /usr/local/jakarta-catalina

# A relative path (starting below 'catalina.home/') where 'axis' is
# located within your Tomcat (the default location is usually fine
# unless you put axis on a non-default place.

#axis.relative.path = webapps/axis

# Where is your Tomcat listening

#tomcat.port = 8080
#tomcat.host = localhost

# For administrative purposes (AAdmin client) I need to know
# how is your axis configurated (within your Tomcat):
#
#   part of URL pointing to the axis services
#axis.spath = /axis/services
#   part of URL pointing to the axis admin servlet
#axis.apath = /axis/servlet/AxisServlet

# --------------------------------------------------------------------
# Configuration of your local database for keeping results
# (the jdbc.passwd is the only one that has no default value,
#  so you need to use this property)

#jdbc.url = jdbc:mySQL://localhost/soaplab
#jdbc.user = soaplab
#jdbc.passwd = soaplab je pro Bohy
#jdbc.maxconn=15
#jdbc.driver=org.gjt.mm.mysql.Driver

# --------------------------------------------------------------------
# Gowlab stores results also in regular files -
# here specify which directory to use (by default it
# uses 'work/data')
#soaplab.results.dir = /tmp/gowlab

# Gowlab expect to find *.xsl files in this directory
# (by default it uses 'src/plugins/gowlab/xslt')
#soaplab.xslt.dir = /tmp/gowlab

# Report will contain also raw HML that was fetched
# (useful to set it to true if debugging XLST scripts)
# (default it false)
#gowlab.debug = true

# Full path and name of Soaplab logfile
# (default is: logs/logfile.log)
soaplab.logfile = soaplab.log

# --------------------------------------------------------------------
# For generating metadata:
#    a name that will be reported under "service installation"
#    (default is 'Soaplab (gowlab)' or Soaplab (applab)')
#installation.name = ...

# These properties have intentionally short names because they
# are supposed to be used on the cvommand line as -Dxx=...
#   list of gowlab services to be generated/deployed
#ga = list

#   full name of a XML file with links to all available services
#   (default: Gowlab.xml)
#gl = filename

#   list of applab services to be generated/deployed
#aa = list

#   full name of a XML file with links to all available services
#   (default: Applications.xml)
#al = filename

# --------------------------------------------------------------------
# How to name jar file with generated derived classes;
# default is 'derived.jar' which is fine in most cases - but you need
# more names if you deploy several times different package of
# derived classes to the same Tomcat (so the deployed jar files 
# will have different names and will be able to co-exist)
#derived.name = derived.jar

# --------------------------------------------------------------------
# If you want to generate full documentation for Soaplab clients
# in Perl, you need to have bioperl (but usually you do not need to
# do this because Perl documentation is already pre-generated; this
# option is only for those changing Perl modules)
#bioperl.dir = /home/senger/bioperl-run

# --------------------------------------------------------------------
# Specifically for those who are using EMBOSS
#emboss.home = /where/is/your/EMBOSS

# --------------------------------------------------------------------
